Package com.saxonica.ee.bytecode

## Class CommentCompiler

- java.lang.Object
- - com.saxonica.ee.bytecode.ExpressionCompiler
  - - com.saxonica.ee.bytecode.ToIteratorCompiler
    - - com.saxonica.ee.bytecode.ToPushCompiler
      - - com.saxonica.ee.bytecode.SimpleNodeConstructorCompiler
        - - com.saxonica.ee.bytecode.CommentCompiler

-     public class CommentCompiler
      extends SimpleNodeConstructorCompiler

  Generate bytecode for the Comment Instruction

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentCompiler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkContent​(CompilerService compiler, Expression expression)` | Compile code to check the content of the node, and adjust it if necessary On entry the proposed content is on the stack as a CharSequence; on exit the revised content must be on the stack as a CharSequence.
    `protected void` | `pushNode​(CompilerService compiler, Expression expression)` | Generate code to write the node to the current receiver.

    - ### Methods inherited from class com.saxonica.ee.bytecode.SimpleNodeConstructorCompiler

      `compileNodeName, compileToItem, compileToPush, isNamedNodeKind, isNoNodeIfEmpty`

    - ### Methods inherited from class com.saxonica.ee.bytecode.ToPushCompiler

      `compilePushToSequenceCollector, compileToIterator`

    - ### Methods inherited from class com.saxonica.ee.bytecode.ToIteratorCompiler

      `compileToBoolean`

    - ### Methods inherited from class com.saxonica.ee.bytecode.ExpressionCompiler

      `allocateStatic, compileItemFromInt, compileToPrimitive, generateMethod, handleEmptyStringResult, printStackTop, verify, visitAnnotation, visitLineNumber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommentCompiler

          public CommentCompiler()

  - ### Method Detail

    - #### checkContent

          public void checkContent​(CompilerService compiler,
                                   Expression expression)

      Compile code to check the content of the node, and adjust it if necessary On entry the proposed content is on the stack as a CharSequence; on exit the revised content must be on the stack as a CharSequence.
      Overrides:
        `checkContent` in class `SimpleNodeConstructorCompiler`
      Parameters:
        `compiler` - the compiler service
        `expression` - the expression to be compiled

    - #### pushNode

          protected void pushNode​(CompilerService compiler,
                                  Expression expression)

      Generate code to write the node to the current receiver. On entry the stack holds the current receiver, the node name (for named node kinds only) and the content (for all nodes)
      Specified by:
        `pushNode` in class `SimpleNodeConstructorCompiler`
      Parameters:
        `compiler` - the compiler service
        `expression` - the expression to be compiled